#include "pci.h"

void pciScan(const OnDevice *onDevices)
{
	U32 vendorDevice;
	U32 slot;
	PciConf *pci;
	for(slot=0;slot<32;slot++)
	{
		pci=PciConf::bsf(0,slot,0);
		vendorDevice=pci->vendorDeviceId;
		if((vendorDevice&0x0000ffff)!=0x0000ffff)
		{
			const OnDevice *od=onDevices;
			while(od->handle)
			{
				if(vendorDevice==od->vendorDevice)
					od->handle(pci);
				od++;
			}
		}
	}
}

